Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1573495

Summary: Review Request: nodejs-parallel-transform - Transform stream that allows you to run your transforms in parallel
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-10 12:48:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1573492, 1573502    

Description Jared Smith 2018-05-01 14:17:02 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-parallel-transform/nodejs-parallel-transform.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-parallel-transform/nodejs-parallel-transform-1.1.0-1.fc29.src.rpm
Description: Transform stream that allows you to run your transforms in parallel
Fedora Account System Username: jsmith

Comment 1 Parag AN(पराग) 2018-05-01 16:27:51 UTC
Review:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-parallel-transform-1.1.0-1.fc29.noarch.rpm
          nodejs-parallel-transform-1.1.0-1.fc29.src.rpm
nodejs-parallel-transform.noarch: W: only-non-binary-in-usr-lib
nodejs-parallel-transform.noarch: W: dangling-symlink /usr/lib/node_modules/parallel-transform/node_modules/cyclist /usr/lib/node_modules/cyclist
nodejs-parallel-transform.noarch: W: dangling-symlink /usr/lib/node_modules/parallel-transform/node_modules/inherits /usr/lib/node_modules/inherits@2
nodejs-parallel-transform.noarch: W: dangling-symlink /usr/lib/node_modules/parallel-transform/node_modules/readable-stream /usr/lib/node_modules/readable-stream
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-parallel-transform.noarch: W: only-non-binary-in-usr-lib
nodejs-parallel-transform.noarch: W: dangling-symlink /usr/lib/node_modules/parallel-transform/node_modules/cyclist /usr/lib/node_modules/cyclist
nodejs-parallel-transform.noarch: W: dangling-symlink /usr/lib/node_modules/parallel-transform/node_modules/inherits /usr/lib/node_modules/inherits@2
nodejs-parallel-transform.noarch: W: dangling-symlink /usr/lib/node_modules/parallel-transform/node_modules/readable-stream /usr/lib/node_modules/readable-stream
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-parallel-transform (rpmlib, GLIBC filtered):
    (npm(cyclist) >= 1.0.0 with npm(cyclist) < 2)
    (npm(inherits) >= 2.0.3 with npm(inherits) < 3)
    (npm(readable-stream) >= 2.1.5 with npm(readable-stream) < 3)
    nodejs(engine)



Provides
--------
nodejs-parallel-transform:
    nodejs-parallel-transform
    npm(parallel-transform)



Source checksums
----------------
https://registry.npmjs.org/parallel-transform/-/parallel-transform-1.1.0.tgz :
  CHECKSUM(SHA256) this package     : a66406a9a2c1317036365419e0dabfd4a0e2516d627281d2bf6da6b3542dc76b
  CHECKSUM(SHA256) upstream package : a66406a9a2c1317036365419e0dabfd4a0e2516d627281d2bf6da6b3542dc76b


APPROVED.

Comment 2 Jared Smith 2018-05-02 13:25:59 UTC
Thanks for the review.  Those rpmlint warnings are expected for NodeJS packages.

Comment 3 Jared Smith 2018-05-02 13:26:20 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6410.

Comment 4 Gwyn Ciesla 2018-05-02 13:28:44 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-parallel-transform

Comment 5 Jared Smith 2018-05-10 12:48:44 UTC
Packaged in Rawhide, closing this issue